package com.kingdee.eas.custom.compensation.push_bill;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class PayrollDistributionSlipFactory
{
    private PayrollDistributionSlipFactory()
    {
    }
    public static com.kingdee.eas.custom.compensation.push_bill.IPayrollDistributionSlip getRemoteInstance() throws BOSException
    {
        return (com.kingdee.eas.custom.compensation.push_bill.IPayrollDistributionSlip)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("5D2D52BE") ,com.kingdee.eas.custom.compensation.push_bill.IPayrollDistributionSlip.class);
    }
    
    public static com.kingdee.eas.custom.compensation.push_bill.IPayrollDistributionSlip getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (com.kingdee.eas.custom.compensation.push_bill.IPayrollDistributionSlip)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("5D2D52BE") ,com.kingdee.eas.custom.compensation.push_bill.IPayrollDistributionSlip.class, objectCtx);
    }
    public static com.kingdee.eas.custom.compensation.push_bill.IPayrollDistributionSlip getLocalInstance(Context ctx) throws BOSException
    {
        return (com.kingdee.eas.custom.compensation.push_bill.IPayrollDistributionSlip)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("5D2D52BE"));
    }
    public static com.kingdee.eas.custom.compensation.push_bill.IPayrollDistributionSlip getLocalInstance(String sessionID) throws BOSException
    {
        return (com.kingdee.eas.custom.compensation.push_bill.IPayrollDistributionSlip)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("5D2D52BE"));
    }
}